Package edu.msu.cme.rdp.classifier.train.validation.distance

# Class CompareTrainingSets.HierarchyTreeExtend

java.lang.Object
edu.msu.cme.rdp.classifier.train.validation.distance.CompareTrainingSets.HierarchyTreeExtend

Enclosing class:
  `CompareTrainingSets`

public class CompareTrainingSets.HierarchyTreeExtend extends Object

## Constructor Summary

Constructors
Constructor
Description
`HierarchyTreeExtend(HierarchyTree root, String name)`

## Method Summary

Modifier and Type
Method
Description
`HierarchyTree`
`getRoot()`
`String`
`getTrainsetName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HierarchyTreeExtend

public HierarchyTreeExtend(HierarchyTree root, String name)

## Method Details

### getRoot

public HierarchyTree getRoot()

### getTrainsetName

public String getTrainsetName()